petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESLineSearchSetOrder

Sets the line search damping paramter.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetOrder(SNESLineSearch linesearch,PetscInt order)

### Input Parameters

linesearch -linesearch context
order -The damping parameter

### Possible Values for order

| 1 or SNES_LINESEARCH_ORDER_LINEAR | - linear order
| 2 or SNES_LINESEARCH_ORDER_QUADRATIC | - quadratic order
| 3 or SNES_LINESEARCH_ORDER_CUBIC | - cubic order

### Notes

### Variable orders are supported by the following line searches

| bt | - cubic and quadratic
| cp | - linear and quadratic

### See Also

SNESLineSearchGetOrder()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages